Get Sessions List

This API will return a list of sessions for a particular event.

eventId is the required query parameter. Apart from that, you can pass searchString, page, size, isFromBillingPage, and expand as query parameters.

Only authorized users can use this API and require event admin, event staff, and super admin access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in the form of JSON.

AttributeDescription
sessionIdThe unique ID of each session. It will be generated automatically when a new session is created.
titleContains the title of the session.
startTimeContains the session's starting time in the YYY/MM/DD HH:MM format.
endTimeContains the session's end time in the YYY/MM/DD HH:MM format.
descriptionContains the description of the session.
Only 65,024 characters are allowed within description.
capacityReturns the capacity number for session which is the maximum number of users allowed to join.
statusContains the session status type: VISIBLE, HIDDEN.
Visible status will show in session list and hidden status will do not show in session list.
formatReturns the session format. Can set when create session. There are seven type of session can create that contains MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER.
sessionStats

Contains details of attendee count, interested user count, registered user count.

For getting this, details need to pass in API endpoint as expand.

registerdHolderUsersContains details of registered user details who register for session. Details include event ticketing ID, user ID, first name, last name, email, phone number and other.
currentUserRegisteredEventTicketIdContains the Event Ticketing ID that a ticketing holder user registered for a session. Event Ticketing ID generates when we create Ticketing Type.
purchaserUserRegisteredEventTicketIdContains the Event Ticketing ID that a ticketing holder user purchaser for a session. Event Ticketing ID generates when we create Ticketing Type.
durationContains the session time span.
disableChatIf disable chat is false, then session chat will not show in portal page. If true, then it will show.
disablePollIf disable poll is false, then session poll will not show in portal page. If true, then it will show.
disableQuesAndAnsIf disable Q&A is false, then session Q&A will not show in portal page. If true, then it will show.
hideSessionFromAttendeesWill hide session from attendee if flag returns true from display page and portal page.
ticketTypesThatCanBeRegisteredContains ticketing type IDs with comma separated value. That only ticketing type can register for session.
streamProviderContains the Stream Provider Name Of session. Session contains ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD stream provider.
subStreamProviderContains the Sub Stream Provider, Name Of session. Session contains VOXEET, CHIME, OPENTOK, AGORA sub stream provider.
streamUrlContains streaming URL. For WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD need to set streaming URL for ACCELEVENTS it will generate unique streaming UR.
streamKeyContains unique stream key.
rtmpUrlContains rtmp URL. It will use to put in OBS studio with stream key.
accelEventsStudioReturns true if stream provider is ACCELEVENTS, or not will return false.
directVideoAutoStartReturns true if session video will start automatically it or will return false if video will need to manually start.
meetingPasswordReturns session password if host set for session.
documentKeyValueReturn a JSON list of session document key value.
Key generate automatically while uploading document and value represent document name.
linkKeyValueReturns a JSON list of session link key value.
Key generate automatically while uploading document and value represent key name.
sessionVisibilityType

Contains session visibility type PUBLIC/PRIVATE.
PUBLIC that will show to all at the portal and display side.

PRIVATE session will not visible at portal and display side.

subTitleFileUrl
hideVideoControlsReturns true or false based on if Hide Video Controls is enabled.
recordSessionReturns true if session setting to record is enabled or else false.
positionSession position value, which is default 1000 which assigned according to concurrent sessions and next concurrent sessions value will be 2000. Session position will decide session order, how they display at portal and display page.
allowedMinutesToJoinLateReturn minutes to allow attendee to join the session late. Attendee once “registered” as (bookmark) the session before the elapsed session time. They can “join a session late” as(viewing a recording).
playBackRestrictionTokenContains playback restriction token, which is allows you to set additional rules for playing videos. For instance, viewers can play videos embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any Video requests from other websites are denied.
thumbnailRestrictionTokenContains playback restriction token, which is allows you to set additional rules for thumbnails. For instance, viewers can view thumbnails embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any thumbnails request from other websites are denied.
postSessionCallToActionJsonReturns details for postSessionCallToActionJson which is when the session ends it should see a message suggesting what I should go see next during the event.
chimeConfigReturns chime configuration details related to session, which is contains Mute Attendees on Entry and Disable Attendees Camera on Entry.
qnAPrivateReturns boolean either need private Q&A or need to visible for attendee, which returns true or false values.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4040200Event Not Found
Path Params
string
required
Query Params
string

Get filter session records according to search value passing in request

int32

Unique event Id used to get session related to event.

int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

string
Defaults to 10

Size will returns number of records when call api default will returns 10 records

string

Expands Get Records accordingly we are passing in request param in expand value as comma separated like : TAG,TRACK,SPEAKER,currentUserRegisteredEventTicketId

boolean

Used billing page analytics for counting session which not include [BREAK, OTHER, EXPO]

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json